/*
*   ORXONOX - the hottest 3D action shooter ever to exist
*                    > www.orxonox.net <
*
*
*   License notice:
*
*   This program is free software; you can redistribute it and/or
*   modify it under the terms of the GNU General Public License
*   as published by the Free Software Foundation; either version 2
*   of the License, or (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
*   Author:
*     Fabien Vultier
*   Co-authors:
*      ...
*
*/

/**
    @file BallGunShooter.h
    @brief Implementation of the BallGunShooter class.
*/

#include "core/CoreIncludes.h"
#include "core/command/Executor.h"

#include "BallGunShooter.h"

namespace orxonox
{
    RegisterClass(BallGunShooter);

    /**
    @brief
        Constructor.
    */
    BallGunShooter::BallGunShooter(Context* context) : StaticEntity(context)
    {
        RegisterObject(BallGunShooter);

        model = new Model(this->getContext());
        model->setMeshSource("IceStar.mesh");
        model->setScale(4.0);
        this->attach(model);
        model->setPosition(Vector3(0,0,0));
    }

    BallGunShooter::~BallGunShooter() {}
}
